Bug 1016114 - [RFE] Systems list should take advantage of the Candlepin bulk loading API
[RFE] Systems list should take advantage of the Candlepin bulk loading API
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-10-07 10:34 EDT by Eric Helms
Modified: 2013-10-17 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-17 16:35:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Helms 2013-10-07 10:34:11 EDT
Description of problem:
The systems page takes a significant amount of time to present the list of systems to the user. This can be alleviated somewhat by bulk loading systems data from Candlepin instead of a single call per system.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 RHEL Product and Program Management 2013-10-07 11:01:59 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 Eric Helms 2013-10-11 11:58:09 EDT

Note You need to log in before you can comment on or make changes to this bug.